Bug 841976

Summary: Preupgrade F16->F17 - grubby fail if /boot/grub/grub.cfg does not exist (where grub.conf does exist)
Product: [Fedora] Fedora Reporter: Martin Langhoff <martin>
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: collura, hughsient, pwouters
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 09:46:51 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Martin Langhoff 2012-07-20 13:57:23 EDT
Description of problem:

On my system (fully up-to-date F16, from fresh F16 install), 

 - /etc/grub.conf exists, symlink to /boot/grub/grub.conf
 - /boot/grub/menu.lst exists, symlink to /boot/grub.conf
 - /boot/grub/grub.cfg _does not exist_
 - /boot is small (so will download stage2 from initrd)

grubby fails complaining that /boot/grub/grub.cfg does not exist.

tail of preupgrade output:
Preparing system to boot into installer
DEBUG /sbin/grubby --title="Upgrade to Fedora 17 (Beefy Miracle)" --remove-kernel="/boot/upgrade/vmlinuz" --add-kernel="/boot/upgrade/vmlinuz" --initrd="/boot/upgrade/initrd.img" --args="preupgrade repo=hd::/var/cache/yum/preupgrade  ks=hd:UUID=dd231546-7cc4-4a2b-b6f9-5875d823c41d:/upgrade/ks.cfg stage2=http://mirrors.kernel.org/fedora/releases/17/Fedora/x86_64/os/LiveOS/squashfs.img"
 

Version-Release number of selected component (if applicable):

preupgrade-1.1.10-1.fc16.src.rpm
grubby-8.8-2.fc16.src.rpm

How reproducible:

100%

Steps to Reproduce:
1. Install F16, update to latest
2. Run preupgrade-cli

Likely related to #107748 ,#753137
Comment 1 Paul Wouters 2012-07-20 15:50:39 EDT
Similar here, my preupgrade actually gave no error whatsoever, but also did not create a grub boot entry. My tail of preupgrade is:

Upgrade requires 500.0MB
Available disk space for /usr: 11.4GB
Kernel requires 26.0MB
Available disk space for /boot: 3.3GB
Generating metadata for preupgrade repo
DEBUG /sbin/grubby --title="Upgrade to Fedora 17 (Beefy Miracle)" --remove-kernel="/boot/upgrade/vmlinuz" --add-kernel="/boot/upgrade/vmlinuz" --initrd="/boot/upgrade/initrd.img" --args="preupgrade repo=hd::/var/cache/yum/preupgrade  ks=hd:UUID=6f6ca304-5f73-45fb-b946-dd0394256eea:/upgrade/ks.cfg stage2=hd:UUID=6f6ca304-5f73-45fb-b946-dd0394256eea:/upgrade/squashfs.img"

So I manually had to add the entry into /boot/grub/grub.conf

My system was (as far as I remember) a stock f16 install, updated to latest f16
My /boot was big enough
Comment 2 Fedora End Of Life 2013-01-16 08:52:16 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 09:46:54 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.